Package org.apache.catalina.ha.context

## Class ReplicatedContext.MultiEnumeration<T>

- java.lang.Object
- - org.apache.catalina.ha.context.ReplicatedContext.MultiEnumeration<T>

All Implemented Interfaces:
  `java.util.Enumeration<T>`

Enclosing class:
  ReplicatedContext

    protected static class ReplicatedContext.MultiEnumeration<T>
    extends java.lang.Object
    implements java.util.Enumeration<T>

### Constructor Summary

Constructors
`MultiEnumeration​(java.util.Enumeration<T>[] enumerations)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasMoreElements()`
`T` `nextElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Enumeration

`asIterator`

### Constructor Detail

#### MultiEnumeration

    public MultiEnumeration​(java.util.Enumeration<T>[] enumerations)

### Method Detail

#### hasMoreElements

    public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `java.util.Enumeration<T>`

#### nextElement

    public T nextElement()

Specified by:
  `nextElement` in interface `java.util.Enumeration<T>`